apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - resources/namespace.yaml
  - resources/volumes.yaml
  - resources/backend/config-map-local-deps.yaml
  - resources/backend/job-migrations.yaml
  - resources/backend/webapp.yaml
  - resources/backend/webapp-service.yaml
  - resources/backend/webapp-ingress.yaml
  - resources/backend/admin.yaml
  - resources/backend/admin-service.yaml
  - resources/backend/admin-ingress.yaml
  - resources/backend/celery-worker.yaml
  - resources/backend/celery-beat.yaml

configMapGenerator:
  - behavior: create
    namespace: hotpocket-development
    envs:
      - configs/backend/base
    name: backend-base-config
  - behavior: create
    namespace: hotpocket-development
    envs:
      - configs/backend/webapp
    name: backend-webapp-config
  - behavior: create
    namespace: hotpocket-development
    envs:
      - configs/backend/admin
    name: backend-admin-config

patches: []

images:
  - name: hotpocket-backend
    newName: nexus.bthlab.bthlabs.net:8002/hotpocket/backend
    newTag: deployment-8e09ae51-01
